## owncloud-client 1.0.5+repack1

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 2.6)
project(mirall)
set(PACKAGE "mirall")
set( CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

include(${CMAKE_SOURCE_DIR}/VERSION.cmake)
configure_file( ${CMAKE_SOURCE_DIR}/src/mirall/version.h.in "${CMAKE_CURRENT_BINARY_DIR}/src/mirall/version.h" )
include_directories(BEFORE "${CMAKE_CURRENT_BINARY_DIR}/src/mirall/")

include(GNUInstallDirs)
## stupid, we should upstream this
if("${CMAKE_INSTALL_PREFIX}" EQUAL "/usr")
    set(CMAKE_INSTALL_SYSCONFDIR "/etc")
endif()

#####
## handle BUILD_OWNCLOUD_OSX_BUNDLE
# BUILD_OWNCLOUD_OSX_BUNDLE was not initialized OR set to true on OSX
if(APPLE AND (NOT DEFINED BUILD_OWNCLOUD_OSX_BUNDLE OR BUILD_OWNCLOUD_OSX_BUNDLE))
    set(BUILD_OWNCLOUD_OSX_BUNDLE ON)
    set(OWNCLOUD_OSX_BUNDLE "owncloud.app")

# BUILD_OWNCLOUD_OSX_BUNDLE was disabled on OSX
elseif(APPLE AND NOT BUILD_OWNCLOUD_OSX_BUNDLE)
    message(FATAL_ERROR "Building in non-bundle mode on OSX is currently not supported. Comment this error out if you want to work on/test it.")

# any other platform
else()
    set(BUILD_OWNCLOUD_OSX_BUNDLE OFF)
endif()
#####

find_package(Qt4 4.6.0 COMPONENTS QtCore QtGui QtXml QtNetwork QtTest REQUIRED )
find_package(Csync)
find_package(INotify)

set(WITH_CSYNC CSYNC_FOUND)
set(USE_INOTIFY ${INOTIFY_FOUND})

configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)


macro(add_tests)
foreach( loop_var ${ARGV} )
  qt4_automoc(test${loop_var}.cpp)
  add_executable(test${loop_var} test${loop_var}.cpp)
  target_link_libraries(test${loop_var} ${QT_LIBRARIES} mirall_static)
  add_test(test${loop_var} ${CMAKE_CURRENT_BINARY_DIR}/test${loop_var} --catch_system_errors=no)
endforeach( loop_var )
endmacro(add_tests)

set(CPACK_SOURCE_IGNORE_FILES
  # hidden files
  "/\\\\..+$"
  # temporary files
  "\\\\.swp$"
  # backup files
  "~$"
  # others
  "\\\\.#"
  "/#"
  "/build/"
  "/_build/"
  # used before
  "\\\\.o$"
  "\\\\.lo$"
  "\\\\.la$"
  "Makefile\\\\.in$"
)

include(OwnCloudCPack.cmake)

include(CTest)
enable_testing()

#
# This cmake builds two targets (aka apps), mirall and owncloud. For the owncloud
# target, OWNCLOUD_CLIENT needs to be a compile flag. It is set in src/CMakeLists.txt
# but if that fails because cmake is too old, uncomment this here if you want to build
# owncloud.
# add_definitions(-DOWNCLOUD_CLIENT)
add_definitions(-DUNICODE)
add_definitions(-D_UNICODE)

# Handle Translations, pick all mirall_* files from trans directory.
file( GLOB TRANS_FILES ${CMAKE_SOURCE_DIR}/translations/mirall_*.ts)
set(TRANSLATIONS ${TRANS_FILES})

add_subdirectory(src)
if(UNIT_TESTING)
    add_subdirectory(test)
endif(UNIT_TESTING)

if(BUILD_OWNCLOUD_OSX_BUNDLE)
    install( FILES exclude.lst DESTINATION ${OWNCLOUD_OSX_BUNDLE}/Contents/Resources )
else()
    install( FILES exclude.lst DESTINATION ${CMAKE_INSTALL_SYSCONFDIR} )
endif()

=== src/CMakeLists.txt ===
include(${QT_USE_FILE})

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

QT4_ADD_RESOURCES ( MIRALL_RC_SRC ../mirall.qrc)

set(mirall_UI
mirall/folderwizardsourcepage.ui
mirall/folderwizardtargetpage.ui
mirall/folderwizardnetworkpage.ui
mirall/folderwizardowncloudpage.ui
mirall/statusdialog.ui
mirall/owncloudwizardselecttypepage.ui
mirall/owncloudsetuppage.ui
mirall/createanowncloudpage.ui
mirall/owncloudftpaccesspage.ui
mirall/owncloudwizardresultpage.ui
mirall/owncloudcredentialspage.ui
mirall/sslerrorsdialog.ui
mirall/proxydialog.ui
)

set(3rdparty_SRC
3rdparty/qtsingleapplication/qtsingleapplication.cpp
3rdparty/qtsingleapplication/qtlocalpeer.h
3rdparty/qtsingleapplication/qtlocalpeer.cpp
3rdparty/qtsingleapplication/qtsingleapplication.h
3rdparty/qtsingleapplication/qtsinglecoreapplication.h
3rdparty/qtsingleapplication/qtsinglecoreapplication.cpp

3rdparty/qtlockedfile/qtlockedfile.h
3rdparty/qtlockedfile/qtlockedfile.cpp
)

set(3rdparty_HEADER
3rdparty/qtsingleapplication/qtlocalpeer.h
3rdparty/qtsingleapplication/qtsingleapplication.h
3rdparty/qtsingleapplication/qtsinglecoreapplication.h
)
qt4_wrap_cpp(3rdparty_MOC ${3rdparty_HEADER})

if(NOT WIN32) 
	list(APPEND 3rdparty_SRC 3rdparty/qtlockedfile/qtlockedfile_unix.cpp)
else()
	list(APPEND 3rdparty_SRC 3rdparty/qtlockedfile/qtlockedfile_win.cpp )
endif()

set(3rdparty_INC
    ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/qtlockedfile
    ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/qtsingleapplication
    )

qt4_wrap_ui(mirall_UI_SRCS ${mirall_UI})

set(libsync_SRCS
    mirall/folderman.cpp
    mirall/folder.cpp
    mirall/folderwatcher.cpp
    mirall/gitfolder.cpp
    mirall/syncresult.cpp
    mirall/unisonfolder.cpp
    mirall/networklocation.cpp
    mirall/mirallconfigfile.cpp
    mirall/csyncfolder.cpp
    mirall/owncloudfolder.cpp
    mirall/csyncthread.cpp
    mirall/fileutils.cpp
    mirall/temporarydir.cpp
    mirall/theme.cpp
    mirall/owncloudtheme.cpp
    mirall/miralltheme.cpp
)
set(libsync_HEADERS 
    mirall/folderman.h
    mirall/folder.h
    mirall/folderwatcher.h
    mirall/gitfolder.h
    mirall/unisonfolder.h
    mirall/csyncfolder.h
    mirall/owncloudfolder.h
    mirall/csyncthread.h
)

IF( INOTIFY_FOUND )
    set(libsync_SRCS ${libsync_SRCS} mirall/inotify.cpp)
    set(libsync_HEADERS ${libsync_HEADERS} mirall/inotify.h)
ENDIF()

qt4_wrap_cpp(syncMoc ${libsync_HEADERS})

add_library(mirallsync   SHARED ${libsync_SRCS} ${syncMoc})
add_library(owncloudsync SHARED ${libsync_SRCS} ${syncMoc})
set_target_properties( owncloudsync PROPERTIES COMPILE_DEFINITIONS OWNCLOUD_CLIENT)
target_link_libraries(mirallsync ${QT_LIBRARIES} ${CSYNC_LIBRARY} )
target_link_libraries(owncloudsync ${QT_LIBRARIES} ${CSYNC_LIBRARY} )

if(NOT BUILD_OWNCLOUD_OSX_BUNDLE)
    install(TARGETS mirallsync owncloudsync
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    )
else()
    install(TARGETS mirallsync owncloudsync DESTINATION ${OWNCLOUD_OSX_BUNDLE}/Contents/MacOS)
endif()

set(mirall_SRCS
    mirall/application.cpp
    mirall/folderwizard.cpp
    mirall/statusdialog.cpp
    mirall/owncloudwizard.cpp
    mirall/owncloudsetupwizard.cpp
    mirall/owncloudinfo.cpp
    mirall/updatedetector.cpp
    mirall/occinfo.cpp
    mirall/sslerrordialog.cpp
    mirall/logbrowser.cpp
    mirall/proxydialog.cpp
)

set(mirall_HEADERS
    mirall/application.h
    mirall/folderwizard.h
    mirall/owncloudinfo.h
    mirall/owncloudsetupwizard.h
    mirall/owncloudwizard.h
    mirall/statusdialog.h
    mirall/updatedetector.h
    mirall/sslerrordialog.h
    mirall/logbrowser.h
    mirall/proxydialog.h
)

if( UNIX AND NOT APPLE)
    if(NOT DEFINED USE_INOTIFY)
        set(USE_INOTIFY ON)
    endif()
endif()

# csync is required.
include_directories(${CSYNC_INCLUDE_DIR}/csync ${CSYNC_INCLUDE_DIR} ${CMAKE_BINARY_DIR})
include_directories(${3rdparty_INC})

qt4_wrap_cpp(mirallMoc ${mirall_HEADERS})

qt4_add_translation(mirall_I18N ${TRANSLATIONS})

set( final_src
    ${mirall_HEADERS}
    ${MIRALL_RC_SRC}
    ${mirall_SRCS}
    ${mirall_UI_SRCS}
    ${mirallMoc}
    ${mirall_HEADERS}
    ${mirall_I18N}
    ${3rdparty_SRC}
    ${3rdparty_MOC}
)

# add executable icon on windows and osx
include( AddAppIconMacro )
set(ownCloud_old ${ownCloud})
kde4_add_app_icon( ownCloud "${CMAKE_CURRENT_SOURCE_DIR}/../resources/owncloud-icon-*.png") 
list(APPEND final_src ${ownCloud})
set(ownCloud ${ownCloud_old})

if(NOT BUILD_OWNCLOUD_OSX_BUNDLE)
    set(BIN_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")

    install(FILES ${CMAKE_SOURCE_DIR}/resources/mirall-48.png DESTINATION share/icons/hicolor/48x48/apps/ RENAME mirall.png)
    install(FILES ${CMAKE_SOURCE_DIR}/resources/owncloud-icon-48.png DESTINATION share/icons/hicolor/48x48/apps/ RENAME owncloud.png)

    install(FILES ${mirall_I18N} DESTINATION share/mirall/i18n)

    # we may not add MACOSX_BUNDLE here, if not building one

    # add_executable(owncloud main.cpp ${final_src})
    add_executable(owncloud WIN32 main.cpp ${final_src})
    set_target_properties( owncloud PROPERTIES COMPILE_DEFINITIONS OWNCLOUD_CLIENT) 

    # mirall is not built for the bundle
    add_executable( mirall WIN32 main.cpp ${final_src})

    target_link_libraries(mirall ${QT_LIBRARIES} )
    target_link_libraries(mirall mirallsync)
    target_link_libraries(mirall ${CSYNC_LIBRARY})

    set_target_properties( mirall PROPERTIES
        RUNTIME_OUTPUT_DIRECTORY  ${BIN_OUTPUT_DIRECTORY} )
    install(TARGETS mirall
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    )
else()
    set(BIN_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}")
    include(DeployQt4)

    set(CMAKE_INSTALL_PREFIX ".") # Examples use /Applications. hurmpf.
    set(MACOSX_BUNDLE_ICON_FILE "ownCloud.icns")

    # we must add MACOSX_BUNDLE only if building a bundle
    add_executable(owncloud WIN32 MACOSX_BUNDLE main.cpp ${final_src})
    set_target_properties( owncloud PROPERTIES COMPILE_DEFINITIONS OWNCLOUD_CLIENT)

    #FIXME: hardcoded path
    install(FILES /usr/local/lib/csync-0/csync_owncloud.so DESTINATION ${OWNCLOUD_OSX_BUNDLE}/Contents/Plugins)
    install(FILES ${mirall_I18N} DESTINATION ${OWNCLOUD_OSX_BUNDLE}/Contents/translations)

    list(APPEND dirs "/usr/local/lib")
endif()


set_target_properties( owncloud PROPERTIES
        RUNTIME_OUTPUT_DIRECTORY  ${BIN_OUTPUT_DIRECTORY}
)
target_link_libraries(owncloud ${QT_LIBRARIES} )
target_link_libraries(owncloud owncloudsync)
target_link_libraries(owncloud ${CSYNC_LIBRARY})

install(TARGETS owncloud
        RUNTIME DESTINATION bin
        LIBRARY DESTINATION lib
        ARCHIVE DESTINATION lib
        BUNDLE  DESTINATION "."
)

#FIXME: find a nice solution to make the second if(BUILD_OWNCLOUD_OSX_BUNDLE) unneccessary
# currently it needs to be done because the code right above needs to be executed no matter
# if building a bundle or not and the install_qt4_executable needs to be called afterwards
if(BUILD_OWNCLOUD_OSX_BUNDLE)
    install_qt4_executable(${OWNCLOUD_OSX_BUNDLE} "" "${OWNCLOUD_OSX_BUNDLE}/Contents/Plugins/csync_owncloud.so" ${dirs})
endif()

find_program(KRAZY2_EXECUTABLE krazy2)
if(KRAZY2_EXECUTABLE)
    # s/y k/y ALL k/ for building this target always
    add_custom_target( krazy krazy2 --check-sets c++,qt4,foss
                       ${PROJECT_SOURCE_DIR}/src/mirall/*.ui
                       ${PROJECT_SOURCE_DIR}/src/mirall/*.h
                       ${PROJECT_SOURCE_DIR}/src/mirall/*.cpp
)
endif()

=== test/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/src)
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include(${QT_USE_FILE})

add_tests(folderwatcher unisonfolder)

=== debian/changelog ===
owncloud-client (1.0.5+repack1-0ubuntu1) quantal; urgency=low

  * New upstream release LP: #1053449

 -- Matthew Fischer <matthew.fischer@ubuntu.com>  Mon, 01 Oct 2012 20:07:46 -0600

owncloud-client (1.0.4+repack1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 13 Aug 2012 17:07:22 +0100

owncloud-client (1.0.3+repack1-0ubuntu1) quantal; urgency=low

  * Initial package
  * Remove admin/ directory which had unused binary files in it
  * Add kubuntu_01_sysconf_dir.diff to fix install dir

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jul 2012 17:43:04 +0100

=== debian/control ===
Source: owncloud-client
Section: net
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 9), cmake, libqt4-dev (>= 4.7), libcsync-dev (>= 0.50.8)
Standards-Version: 3.9.3

Package: owncloud-client
Architecture: any 
Depends: ${misc:Depends}, ${shlibs:Depends}, oxygen-icon-theme, libcsync-plugin-owncloud (>= 0.50.8)
Description: GUI app to sync a folder to ownCloud
 GUI to sync your local folders with an ownCloud server.

=== debian/rules ===
#!/usr/bin/make -f

%:	
	dh $@

override_dh_install:
	dh_install
	install -m 644 -D $(CURDIR)/debian/extrafiles/owncloud-client.desktop $(CURDIR)/debian/owncloud-client/usr/share/applications/owncloud-client.desktop
	rm $(CURDIR)/debian/owncloud-client/usr/bin/mirall
	rm $(CURDIR)/debian/owncloud-client/usr/share/icons/hicolor/48x48/apps/mirall.png

repack:
	rm -r admin/

## owncloud-client 1.2.1+debian

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,35 @@
 set(PACKAGE "mirall")
 set( CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )
 
+if ( DEFINED OEM_THEME_DIR AND EXISTS ${OEM_THEME_DIR}/OEM.cmake )
+     include ( ${OEM_THEME_DIR}/OEM.cmake )
+else ()
+     include ( ${CMAKE_SOURCE_DIR}/OWNCLOUD.cmake )
+endif()
+
 include(${CMAKE_SOURCE_DIR}/VERSION.cmake)
 configure_file( ${CMAKE_SOURCE_DIR}/src/mirall/version.h.in "${CMAKE_CURRENT_BINARY_DIR}/src/mirall/version.h" )
 include_directories(BEFORE "${CMAKE_CURRENT_BINARY_DIR}/src/mirall/")
 
 include(GNUInstallDirs)
+
+include(GetGitRevisionDescription)
+get_git_head_revision(GIT_REFSPEC GIT_SHA1)
+
+# if we cannot get it from git, directly try .tag (packages)
+# this will work if the tar balls have been properly created
+# via git-archive.
+if (${GIT_SHA1} STREQUAL "GITDIR-NOTFOUND")
+    file(READ ${CMAKE_SOURCE_DIR}/.tag sha1_candidate)
+    string(REPLACE "\n" "" sha1_candidate ${sha1_candidate})
+    if (NOT ${sha1_candidate} STREQUAL "$Format:%H$")
+        message("${sha1_candidate}")
+        set (GIT_SHA1 "${sha1_candidate}")
+    endif()
+endif()
+
 ## stupid, we should upstream this
-if("${CMAKE_INSTALL_PREFIX}" EQUAL "/usr")
+if("${CMAKE_INSTALL_PREFIX}" STREQUAL "/usr" AND NOT CMAKE_INSTALL_SYSCONFDIR)
     set(CMAKE_INSTALL_SYSCONFDIR "/etc")
 endif()
 
@@ -19,7 +41,7 @@
 # BUILD_OWNCLOUD_OSX_BUNDLE was not initialized OR set to true on OSX
 if(APPLE AND (NOT DEFINED BUILD_OWNCLOUD_OSX_BUNDLE OR BUILD_OWNCLOUD_OSX_BUNDLE))
     set(BUILD_OWNCLOUD_OSX_BUNDLE ON)
-    set(OWNCLOUD_OSX_BUNDLE "owncloud.app")
+    set(OWNCLOUD_OSX_BUNDLE "${APPLICATION_EXECUTABLE}.app")
 
 # BUILD_OWNCLOUD_OSX_BUNDLE was disabled on OSX
 elseif(APPLE AND NOT BUILD_OWNCLOUD_OSX_BUNDLE)
@@ -31,24 +53,23 @@
 endif()
 #####
 
+#### find libs
 find_package(Qt4 4.6.0 COMPONENTS QtCore QtGui QtXml QtNetwork QtTest REQUIRED )
 find_package(Csync)
+if(UNIX)
+find_package(INotify REQUIRED)
+else()
 find_package(INotify)
+endif()
+find_package(Sphinx)
+find_package(PdfLatex)
+find_package(QtKeychain)
 
 set(WITH_CSYNC CSYNC_FOUND)
+set(WITH_QTKEYCHAIN ${QTKEYCHAIN_FOUND})
 set(USE_INOTIFY ${INOTIFY_FOUND})
 
 configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
-
-
-macro(add_tests)
-foreach( loop_var ${ARGV} )
-  qt4_automoc(test${loop_var}.cpp)
-  add_executable(test${loop_var} test${loop_var}.cpp)
-  target_link_libraries(test${loop_var} ${QT_LIBRARIES} mirall_static)
-  add_test(test${loop_var} ${CMAKE_CURRENT_BINARY_DIR}/test${loop_var} --catch_system_errors=no)
-endforeach( loop_var )
-endmacro(add_tests)
 
 set(CPACK_SOURCE_IGNORE_FILES
   # hidden files
@@ -71,9 +92,6 @@
 
 include(OwnCloudCPack.cmake)
 
-include(CTest)
-enable_testing()
-
 #
 # This cmake builds two targets (aka apps), mirall and owncloud. For the owncloud
 # target, OWNCLOUD_CLIENT needs to be a compile flag. It is set in src/CMakeLists.txt
@@ -88,13 +106,16 @@
 set(TRANSLATIONS ${TRANS_FILES})
 
 add_subdirectory(src)
+add_subdirectory(doc)
+
 if(UNIT_TESTING)
+    include(CTest)
+    enable_testing()
     add_subdirectory(test)
 endif(UNIT_TESTING)
 
 if(BUILD_OWNCLOUD_OSX_BUNDLE)
-    install( FILES exclude.lst DESTINATION ${OWNCLOUD_OSX_BUNDLE}/Contents/Resources )
+    configure_file(sync-exclude.lst ${OWNCLOUD_OSX_BUNDLE}/Contents/Resources/sync-exclude.lst COPYONLY)
 else()
-    install( FILES exclude.lst DESTINATION ${CMAKE_INSTALL_SYSCONFDIR} )
+    install( FILES sync-exclude.lst DESTINATION ${CMAKE_INSTALL_SYSCONFDIR} )
 endif()
-

=== doc/CMakeLists.txt ===
if(SPHINX_FOUND)

    # Sphinx cache with pickled ReST documents
    set(SPHINX_CACHE_DIR "${CMAKE_CURRENT_BINARY_DIR}/_doctrees")
    # HTML output directory
    set(SPHINX_HTML_DIR     "${CMAKE_CURRENT_BINARY_DIR}/html")
    set(SPHINX_MAN_DIR      "${CMAKE_CURRENT_BINARY_DIR}/man")
    set(SPHINX_PDF_DIR      "${CMAKE_CURRENT_BINARY_DIR}/latex")
    set(SPHINX_QCH_DIR      "${CMAKE_CURRENT_BINARY_DIR}/qthelp")
    set(SPHINX_HTMLHELP_DIR "${CMAKE_CURRENT_BINARY_DIR}/htmlhelp")
    set(MSHTML_COMPILER     wine 'C:\\Program Files\\HTML Help Workshop\\hhc.exe')
    # assets
    set(LATEX_LOGO          "${CMAKE_CURRENT_SOURCE_DIR}/logo-blue.pdf")

    configure_file("${CMAKE_CURRENT_SOURCE_DIR}/conf.py.in" conf.py @ONLY)

    add_custom_target(doc DEPENDS doc-html doc-man COMMENT "Building documentation...")
    if (UNIX AND (NOT APPLE))
        install(DIRECTORY ${SPHINX_HTML_DIR} DESTINATION ${CMAKE_INSTALL_DOCDIR})
        install(DIRECTORY ${SPHINX_MAN_DIR} DESTINATION ${CMAKE_INSTALL_MANDIR})
    endif (UNIX AND (NOT APPLE))

    if(PDFLATEX_FOUND)
        # if this still fails on Debian/Ubuntu, run
        # apt-get install texlive-latex-recommended texlive-latex-extra texlive-fonts-recommended
        add_custom_target(doc-latex  ${SPHINX_EXECUTABLE}
		                     -q -c . -b latex
				     -d ${SPHINX_CACHE_DIR}
				     -D latex_logo=${LATEX_LOGO}
				     ${CMAKE_CURRENT_SOURCE_DIR}
				     ${SPHINX_PDF_DIR} )
        add_custom_target(doc-pdf make -C ${SPHINX_PDF_DIR} all-pdf
		                  DEPENDS doc-latex )
        add_dependencies(doc doc-pdf)
        if (UNIX AND (NOT APPLE))
	    install(DIRECTORY ${SPHINX_PDF_DIR} DESTINATION ${CMAKE_INSTALL_DOCDIR})
        endif (UNIX AND (NOT APPLE))
    endif(PDFLATEX_FOUND)
    if (EXISTS ${QT_QCOLLECTIONGENERATOR_EXECUTABLE})
        add_custom_target( doc-qch-sphinx ${SPHINX_EXECUTABLE}
		                          -q -c . -b qthelp
				          -d ${SPHINX_CACHE_DIR}
					  ${CMAKE_CURRENT_SOURCE_DIR}
					  ${SPHINX_QCH_DIR} )
        add_custom_target( doc-qch ${QT_QCOLLECTIONGENERATOR_EXECUTABLE}
		                   ${SPHINX_QCH_DIR}/*.qhcp
				   DEPENDS doc-qch-sphinx )
        add_dependencies(doc doc-qch)
        if (UNIX AND (NOT APPLE))
	    install(DIRECTORY ${SPHINX_QCH_DIR} DESTINATION ${CMAKE_INSTALL_DOCDIR})
        endif (UNIX AND (NOT APPLE))
    endif()
    add_custom_target( doc-html ${SPHINX_EXECUTABLE}
	                        -q -c . -b html
				-d ${SPHINX_CACHE_DIR}
				${CMAKE_CURRENT_SOURCE_DIR}
				${SPHINX_HTML_DIR} )
    add_custom_target( doc-man  ${SPHINX_EXECUTABLE}
	                        -q -c . -b man
				-d ${SPHINX_CACHE_DIR}
				${CMAKE_CURRENT_SOURCE_DIR}
				${SPHINX_MAN_DIR} )

    ## Building CHM files requires HTML Help Workshop. Since it requires wine
    ## with special dependencies, it's impossible to write a cmake check for it.
    ## This is why doc-chm is not a dependency for doc. Instead, run
    ## doc/scripts/htmlhelp.exe to install them and run this target
    ## explicitly.
    add_custom_target( doc-chm-sphinx  ${SPHINX_EXECUTABLE}
	                               -q -c . -b htmlhelp
	                               -D html_theme=basic
                                       -d ${SPHINX_CACHE_DIR}
                                       ${CMAKE_CURRENT_SOURCE_DIR}
                                       ${SPHINX_HTMLHELP_DIR} )
    add_custom_target( doc-chm pushd ${SPHINX_HTMLHELP_DIR}; ${MSHTML_COMPILER} *.hhp; popd
				   DEPENDS doc-chm-sphinx )
endif(SPHINX_FOUND)

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/OwncloudDocumentation.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/OwncloudDocumentation.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/OwncloudDocumentation"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/OwncloudDocumentation"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,13 @@
 include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
 
 QT4_ADD_RESOURCES ( MIRALL_RC_SRC ../mirall.qrc)
+if ( DEFINED OEM_THEME_DIR)
+    QT4_ADD_RESOURCES ( MIRALL_RC_SRC ${OEM_THEME_DIR}/theme.qrc)
+    set(theme_dir ${OEM_THEME_DIR}/theme)
+else()
+    QT4_ADD_RESOURCES ( MIRALL_RC_SRC ../theme.qrc)
+    set(theme_dir ${CMAKE_CURRENT_SOURCE_DIR}/../theme)
+endif()
 
 set(mirall_UI
 mirall/folderwizardsourcepage.ui
@@ -16,8 +23,9 @@
 mirall/owncloudftpaccesspage.ui
 mirall/owncloudwizardresultpage.ui
 mirall/owncloudcredentialspage.ui
-mirall/sslerrorsdialog.ui
+mirall/sslerrordialog.ui
 mirall/proxydialog.ui
+mirall/fileitemdialog.ui
 )
 
 set(3rdparty_SRC
@@ -56,52 +64,89 @@
     mirall/folderman.cpp
     mirall/folder.cpp
     mirall/folderwatcher.cpp
-    mirall/gitfolder.cpp
     mirall/syncresult.cpp
     mirall/unisonfolder.cpp
     mirall/networklocation.cpp
     mirall/mirallconfigfile.cpp
+    mirall/credentialstore.cpp
     mirall/csyncfolder.cpp
     mirall/owncloudfolder.cpp
     mirall/csyncthread.cpp
     mirall/fileutils.cpp
-    mirall/temporarydir.cpp
     mirall/theme.cpp
     mirall/owncloudtheme.cpp
     mirall/miralltheme.cpp
+    mirall/owncloudinfo.cpp
+    mirall/logger.cpp
+    mirall/utility.cpp
 )
 set(libsync_HEADERS 
     mirall/folderman.h
     mirall/folder.h
     mirall/folderwatcher.h
-    mirall/gitfolder.h
     mirall/unisonfolder.h
     mirall/csyncfolder.h
     mirall/owncloudfolder.h
     mirall/csyncthread.h
+    mirall/owncloudinfo.h
+    mirall/credentialstore.h
+    mirall/logger.h
 )
 
 IF( INOTIFY_FOUND )
     set(libsync_SRCS ${libsync_SRCS} mirall/inotify.cpp)
+    set(libsync_SRCS ${libsync_SRCS} mirall/folderwatcher_inotify.cpp)
     set(libsync_HEADERS ${libsync_HEADERS} mirall/inotify.h)
+    set(libsync_HEADERS ${libsync_HEADERS} mirall/folderwatcher_inotify.h)
 ENDIF()
+IF( WIN32 ) 
+    set(libsync_SRCS ${libsync_SRCS} mirall/folderwatcher_win.cpp)
+    set(libsync_HEADERS ${libsync_HEADERS} mirall/folderwatcher_win.h)
+ENDIF()
+IF( APPLE )
+    set(libsync_SRCS ${libsync_SRCS} mirall/folderwatcher_mac.cpp)
+ENDIF()
+
 
 qt4_wrap_cpp(syncMoc ${libsync_HEADERS})
 
-add_library(mirallsync   SHARED ${libsync_SRCS} ${syncMoc})
+list(APPEND libsync_LINK_TARGETS
+    ${QT_LIBRARIES}
+    ${CSYNC_LIBRARY}
+    dl
+)
+
+if(QTKEYCHAIN_FOUND)
+    list(APPEND libsync_LINK_TARGETS ${QTKEYCHAIN_LIBRARY})
+    include_directories(${QTKEYCHAIN_INCLUDE_DIR})
+endif()
+
 add_library(owncloudsync SHARED ${libsync_SRCS} ${syncMoc})
 set_target_properties( owncloudsync PROPERTIES COMPILE_DEFINITIONS OWNCLOUD_CLIENT)
-target_link_libraries(mirallsync ${QT_LIBRARIES} ${CSYNC_LIBRARY} )
-target_link_libraries(owncloudsync ${QT_LIBRARIES} ${CSYNC_LIBRARY} )
+set_target_properties( owncloudsync  PROPERTIES
+	VERSION ${VERSION}
+	SOVERSION ${SOVERSION}
+)
+
+target_link_libraries(owncloudsync ${libsync_LINK_TARGETS} )
+
+if ( APPLE )
+    target_link_libraries(owncloudsync /System/Library/Frameworks/CoreServices.framework)
+endif()
 
 if(NOT BUILD_OWNCLOUD_OSX_BUNDLE)
-    install(TARGETS mirallsync owncloudsync
+    install(TARGETS owncloudsync
         RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
         LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
         ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
     )
+    if(NOT WIN32)
+        configure_file(${CMAKE_SOURCE_DIR}/mirall.desktop.in
+                       ${APPLICATION_SHORTNAME}.desktop)
+        install(FILES  ${CMAKE_CURRENT_BINARY_DIR}/${APPLICATION_SHORTNAME}.desktop DESTINATION share/applications )
+    endif()
 else()
-    install(TARGETS mirallsync owncloudsync DESTINATION ${OWNCLOUD_OSX_BUNDLE}/Contents/MacOS)
+    install(TARGETS owncloudsync DESTINATION ${OWNCLOUD_OSX_BUNDLE}/Contents/MacOS)
 endif()
 
 set(mirall_SRCS
@@ -110,18 +155,17 @@
     mirall/statusdialog.cpp
     mirall/owncloudwizard.cpp
     mirall/owncloudsetupwizard.cpp
-    mirall/owncloudinfo.cpp
     mirall/updatedetector.cpp
     mirall/occinfo.cpp
     mirall/sslerrordialog.cpp
     mirall/logbrowser.cpp
     mirall/proxydialog.cpp
+    mirall/fileitemdialog.cpp
 )
 
 set(mirall_HEADERS
     mirall/application.h
     mirall/folderwizard.h
-    mirall/owncloudinfo.h
     mirall/owncloudsetupwizard.h
     mirall/owncloudwizard.h
     mirall/statusdialog.h
@@ -129,6 +173,7 @@
     mirall/sslerrordialog.h
     mirall/logbrowser.h
     mirall/proxydialog.h
+    mirall/fileitemdialog.h
 )
 
 if( UNIX AND NOT APPLE)
@@ -160,29 +205,35 @@
 # add executable icon on windows and osx
 include( AddAppIconMacro )
 set(ownCloud_old ${ownCloud})
-kde4_add_app_icon( ownCloud "${CMAKE_CURRENT_SOURCE_DIR}/../resources/owncloud-icon-*.png") 
+
+kde4_add_app_icon( ownCloud "${theme_dir}/colored/${APPLICATION_SHORTNAME}-icon*.png")
 list(APPEND final_src ${ownCloud})
 set(ownCloud ${ownCloud_old})
 
 if(NOT BUILD_OWNCLOUD_OSX_BUNDLE)
     set(BIN_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
 
-    install(FILES ${CMAKE_SOURCE_DIR}/resources/mirall-48.png DESTINATION share/icons/hicolor/48x48/apps/ RENAME mirall.png)
-    install(FILES ${CMAKE_SOURCE_DIR}/resources/owncloud-icon-48.png DESTINATION share/icons/hicolor/48x48/apps/ RENAME owncloud.png)
+if(NOT WIN32)
+    install(FILES ${CMAKE_SOURCE_DIR}/resources/mirall-48.png 
+        DESTINATION share/icons/hicolor/48x48/apps/ RENAME mirall.png)
+    install(FILES
+        ${theme_dir}/colored/${APPLICATION_SHORTNAME}-icon-48.png 
+        DESTINATION share/icons/hicolor/48x48/apps/ RENAME ${APPLICATION_SHORTNAME}.png)
+endif(NOT WIN32)
 
     install(FILES ${mirall_I18N} DESTINATION share/mirall/i18n)
 
     # we may not add MACOSX_BUNDLE here, if not building one
 
-    # add_executable(owncloud main.cpp ${final_src})
-    add_executable(owncloud WIN32 main.cpp ${final_src})
-    set_target_properties( owncloud PROPERTIES COMPILE_DEFINITIONS OWNCLOUD_CLIENT) 
+    # add_executable( ${APPLICATION_EXECUTABLE} main.cpp ${final_src})
+    add_executable( ${APPLICATION_EXECUTABLE} WIN32 main.cpp ${final_src})
+    set_target_properties( ${APPLICATION_EXECUTABLE} PROPERTIES COMPILE_DEFINITIONS OWNCLOUD_CLIENT)
 
     # mirall is not built for the bundle
     add_executable( mirall WIN32 main.cpp ${final_src})
 
     target_link_libraries(mirall ${QT_LIBRARIES} )
-    target_link_libraries(mirall mirallsync)
+    target_link_libraries(mirall owncloudsync)
     target_link_libraries(mirall ${CSYNC_LIBRARY})
 
     set_target_properties( mirall PROPERTIES
@@ -200,36 +251,45 @@
     set(MACOSX_BUNDLE_ICON_FILE "ownCloud.icns")
 
     # we must add MACOSX_BUNDLE only if building a bundle
-    add_executable(owncloud WIN32 MACOSX_BUNDLE main.cpp ${final_src})
-    set_target_properties( owncloud PROPERTIES COMPILE_DEFINITIONS OWNCLOUD_CLIENT)
+    add_executable( ${APPLICATION_EXECUTABLE} WIN32 MACOSX_BUNDLE main.cpp ${final_src})
+    set_target_properties( ${APPLICATION_EXECUTABLE} PROPERTIES COMPILE_DEFINITIONS OWNCLOUD_CLIENT)
 
     #FIXME: hardcoded path
-    install(FILES /usr/local/lib/csync-0/csync_owncloud.so DESTINATION ${OWNCLOUD_OSX_BUNDLE}/Contents/Plugins)
-    install(FILES ${mirall_I18N} DESTINATION ${OWNCLOUD_OSX_BUNDLE}/Contents/translations)
-
+    if ( EXISTS ${CSYNC_BINARY_DIR}/modules/ocsync_owncloud.so )
+        install(FILES ${CSYNC_BINARY_DIR}/modules/ocsync_owncloud.so DESTINATION ${OWNCLOUD_OSX_BUNDLE}/Contents/Plugins)
+    else()
+        install(FILES /usr/local/lib/ocsync-0/ocsync_owncloud.so DESTINATION ${OWNCLOUD_OSX_BUNDLE}/Contents/Plugins)
+    endif()
+
+    set (QM_DIR ${OWNCLOUD_OSX_BUNDLE}/Contents/Resources/Translations)
+    install(FILES ${mirall_I18N} DESTINATION ${QM_DIR})
+    file(GLOB qt_I18N ${QT_TRANSLATIONS_DIR}/qt_??.qm ${QT_TRANSLATIONS_DIR}/qt_??_??.qm)
+    install(FILES ${qt_I18N} DESTINATION ${QM_DIR})
+    file(GLOB qtkeychain_I18N ${QT_TRANSLATIONS_DIR}/qtkeychain*.qm)
+    install(FILES ${qtkeychain_I18N} DESTINATION ${QM_DIR})
     list(APPEND dirs "/usr/local/lib")
 endif()
 
 
-set_target_properties( owncloud PROPERTIES
+set_target_properties( ${APPLICATION_EXECUTABLE} PROPERTIES
         RUNTIME_OUTPUT_DIRECTORY  ${BIN_OUTPUT_DIRECTORY}
 )
-target_link_libraries(owncloud ${QT_LIBRARIES} )
-target_link_libraries(owncloud owncloudsync)
-target_link_libraries(owncloud ${CSYNC_LIBRARY})
-
-install(TARGETS owncloud
+target_link_libraries( ${APPLICATION_EXECUTABLE} ${QT_LIBRARIES} )
+target_link_libraries( ${APPLICATION_EXECUTABLE} owncloudsync )
+target_link_libraries( ${APPLICATION_EXECUTABLE} ${CSYNC_LIBRARY} )
+
+install(TARGETS ${APPLICATION_EXECUTABLE}
         RUNTIME DESTINATION bin
         LIBRARY DESTINATION lib
         ARCHIVE DESTINATION lib
         BUNDLE  DESTINATION "."
 )
 
-#FIXME: find a nice solution to make the second if(BUILD_OWNCLOUD_OSX_BUNDLE) unneccessary
+#FIXME: find a nice solution to make the second if(BUILD_OWNCLOUD_OSX_BUNDLE) unnecessary
 # currently it needs to be done because the code right above needs to be executed no matter
 # if building a bundle or not and the install_qt4_executable needs to be called afterwards
 if(BUILD_OWNCLOUD_OSX_BUNDLE)
-    install_qt4_executable(${OWNCLOUD_OSX_BUNDLE} "" "${OWNCLOUD_OSX_BUNDLE}/Contents/Plugins/csync_owncloud.so" ${dirs})
+    install_qt4_executable(${OWNCLOUD_OSX_BUNDLE} "" "${OWNCLOUD_OSX_BUNDLE}/Contents/Plugins/ocsync_owncloud.so" ${dirs})
 endif()
 
 find_program(KRAZY2_EXECUTABLE krazy2)

=== debian/changelog ===
owncloud-client (1.2.1+debian-1ubuntu2) raring; urgency=low

  * Update .symbols file for ARM

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 07 Mar 2013 18:37:26 +0000

owncloud-client (1.2.1+debian-1ubuntu1) raring; urgency=low

  * Ubuntu upload
  * Add kubuntu_01_doc.diff fix compile failure with docs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Mar 2013 17:16:08 +0000

owncloud-client (1.2.1+debian-1) UNRELEASED; urgency=low

  *  bump revision

 -- Sandro Knauß <bugs@sandroknauss.de>  Tue, 05 Mar 2013 05:11:26 +0100

owncloud-client (1.2.0+debian-1~1.gbp990136) unstable; urgency=low

  ** SNAPSHOT build @9901364d2a673e9463b08e90bb1820a04fbb5383 **

  * Initial release for debian. (Closes: #692872)

 -- Sandro Knauß <bugs@sandroknauss.de>  Mon, 04 Feb 2013 03:36:54 +0100

=== debian/control ===
Source: owncloud-client
Section: net
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
Uploaders: Sandro Knauß <bugs@sandroknauss.de>
Build-Depends: debhelper (>= 9), cmake, libqt4-dev (>= 4.7), hardening-wrapper, pkg-kde-tools (>= 0.5),
 python-sphinx (>= 1.0.7+dfsg) | python3-sphinx, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended,
 qt4-dev-tools,  kdelibs5-dev, libocsync-dev (>= 0.70.4), qtkeychain-dev, asciidoc, xsltproc
Vcs-Git: git://git.debian.org/git/pkg-owncloud/owncloud-client.git
Vcs-browser: http://git.debian.org/?p=pkg-owncloud/owncloud-client.git
Standards-Version: 3.9.3
Homepage: http://owncloud.org/dev/sync-clients/linux-build/

Package: owncloud-client
Architecture: any 
Depends: ${misc:Depends}, ${shlibs:Depends},
 libowncloudsync0 (= ${binary:Version}), mirall-i18n, libocsync-plugin-owncloud
Description: GUI app to sync a folder to ownCloud
 Specify one ore more directories on the local machine to sync your ownCloud
 server, and always have your latest files wherever you are. Make a change to
 the files on one computer, it will flow across the others using these desktop
 sync clients.

#Package: mirall
#Architecture: any 
#Depends: ${misc:Depends}, ${shlibs:Depends},
# libmirallsync0 (= ${binary:Version}), libocsync0 (>= 0.70.4), mirall-i18n
#Description: GUI app to synchronize your folders
# Mirall is a GUI to sync your folders with csync.
# .
# Mirall ist location aware and should not try to sync against your NAS
# if you are not in the home network. It should work silently and realiably.
# .
# Specify one ore more directories on the local machine to sync, and always have
# your latest files wherever you are. Make a change to the files on one computer,
# it will flow across the others using these desktop sync clients.

#Package: mirall-doc
#Architecture: all 
#Depends: ${misc:Depends}, ${sphinxdoc:Depends}
#Section: doc
#Description: Documentation package for mirall
# Mirall is a GUI to sync your folders with csync.
# .
# Mirall ist location aware and should not try to sync against your NAS
# if you are not in the home network. It should work silently and realiably.
# .
# Specify one ore more directories on the local machine to sync, and always have
# your latest files wherever you are. Make a change to the files on one computer,
# it will flow across the others using these desktop sync clients.
# .
# These are the Documenation files.

Package: libowncloudsync0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libocsync0 (>= 0.70.4)
Section: libs
Description: Syncing lib for ownCloud Client
 This lib syncs your folders with an ownCloud Server.
 .
 Specify one ore more directories on the local machine to sync your ownCloud
 server, and always have your latest files wherever you are. Make a change to
 the files on one computer, it will flow across the others using these desktop
 sync clients.

Package: mirall-i18n
Architecture: all
Depends: ${misc:Depends}
Section: localization
Replaces: owncloud-client (<< 1.2.1+debian-1ubuntu1)
Description: Localization for mirall
 Mirall is a GUI to sync your folders with csync.
 .
 Mirall ist location aware and should not try to sync against your NAS
 if you are not in the home network. It should work silently and realiably.
 .
 Specify one ore more directories on the local machine to sync, and always have
 your latest files wherever you are. Make a change to the files on one computer,
 it will flow across the others using these desktop sync clients.
 .
 These are the Localization files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

export CSYNC_DIR=/usr/include/ocsync
#export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -fvisibility-inlines-hidden

%:	
	dh $@ --with kde --parallel --with pkgkde_symbolshelper

override_dh_auto_configure:
	#chmod +x doc/makeman.sh
	dh_auto_configure --buildsystem=kde -- -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_INSTALL_SYSCONFDIR=/etc/owncloud -DCREATEDOC=ON

=== debian/watch ===
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

options="dversionmangle=s/debian[0-9]*//" \
http://owncloud.org/sync-clients/ http://download.owncloud.com/download/mirall-(.*)\.tar\.bz2 \
debian sh debian/repack.sh
